BITWISE(9)

NAME

bitwise - Computes various bitwise operations on the two input values

SYNOPSIS

loadrt bitwise [count=N|names=name1[,name2...]]

FUNCTIONS

bitwise.N

PINS

bitwise.N.in0 u32 in
    First input value

bitwise.N.in1 u32 in
    Second input value

bitwise.N.out-and u32 out
    The bitwise AND of the two inputs

bitwise.N.out-or u32 out
    The bitwise OR of the two inputs

bitwise.N.out-xor u32 out
    The bitwise XOR of the two inputs

bitwise.N.out-nand u32 out
    The inverse of the bitwise AND

bitwise.N.out-nor u32 out
    The inverse of the bitwise OR

bitwise.N.out-xnor u32 out
    The inverse of the bitwise XOR

AUTHOR

Andy Pugh

LICENSE

GPL 2+